cascading.util

## Interface ProcessLogger

All Known Implementing Classes:
  BaseCascade, BaseFlow, BaseFlowNode, BaseFlowStep, ProcessFlow, ProcessFlowStep

    public interface ProcessLogger

### Field Summary

Fields
`static ProcessLogger` `NULL`

### Method Summary

Methods
`boolean` `isDebugEnabled()`
`boolean` `isInfoEnabled()`
`void` `logDebug(String message, Object... arguments)`
`void` `logError(String message, Object... arguments)`
`void` `logError(String message, Throwable throwable)`
`void` `logInfo(String message, Object... arguments)`
`void` `logWarn(String message)`
`void` `logWarn(String message, Object... arguments)`
`void` `logWarn(String message, Throwable throwable)`

### Field Detail

#### NULL

    static final ProcessLogger NULL

### Method Detail

#### isInfoEnabled

    boolean isInfoEnabled()

#### isDebugEnabled

    boolean isDebugEnabled()

#### logInfo

    void logInfo(String message,
               Object... arguments)

#### logDebug

    void logDebug(String message,
                Object... arguments)

#### logWarn

    void logWarn(String message)

#### logWarn

    void logWarn(String message,
               Object... arguments)

#### logWarn

    void logWarn(String message,
               Throwable throwable)

#### logError

    void logError(String message,
                Object... arguments)

#### logError

    void logError(String message,
                Throwable throwable)